## ezdxf 0.14.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build.exe
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ezdxf.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ezdxf.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ezdxf"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ezdxf"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
ezdxf (0.14.2-3) unstable; urgency=medium

  * re-build to get a source-only upload so promotion to testing can happen

 -- Bdale Garbee <bdale@gag.com>  Fri, 27 Nov 2020 12:01:11 -0500

ezdxf (0.14.2-2) unstable; urgency=medium

  * include Apache license for Open_Sans fonts in debian/copyright

 -- Bdale Garbee <bdale@gag.com>  Sat, 14 Nov 2020 16:10:29 -0700

ezdxf (0.14.2-1) unstable; urgency=medium

  * Initial release (Closes: #974156)

 -- Bdale Garbee <bdale@gag.com>  Fri, 13 Nov 2020 15:51:06 -0700

=== debian/control ===
Source: ezdxf
Section: python
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 13), dh-python, python3-all, python3-pyparsing
 , python3-setuptools, python3-wheel, python3-sphinx, python3-sphinx-rtd-theme
Standards-Version: 4.5.0
Homepage: https://github.com/mozman/ezdxf/
X-Python3-Version: >= 3.6
Vcs-Browser: https://salsa.debian.org/debian/ezdxf
Vcs-Git: https://salsa.debian.org/debian/ezdxf.git
Rules-Requires-Root: no
#Testsuite: autopkgtest-pkg-python

Package: python3-ezdxf
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-ezdxf-doc
Description: python module to create and modify DXF drawings (Python 3)
 ezdxf is a module for manipulating DXF files.  It can be used to create
 new DXF files, or to read/write/modify existing DXF files.
 .
 This package installs the library for Python 3.

Package: python-ezdxf-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: python module to create and modify DXF drawings (documentation)
 ezdxf is a module for manipulating DXF files.  It can be used to create
 new DXF files, or to read/write/modify existing DXF files.
 .
 This package provides documentation for the module.

=== debian/watch ===
version=3
https://github.com/mozman/ezdxf/tags \
.*/archive/v?(\d\S*)\.tar\.gz

## ezdxf 0.18.1

=== requirements.txt ===
pyparsing>=2.0.1
typing_extensions

=== debian/changelog ===
ezdxf (0.18.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 14 Sep 2022 16:13:33 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 13), dh-python, python3-all, python3-pyparsing
- , python3-setuptools, python3-wheel, python3-sphinx, python3-sphinx-rtd-theme
+Build-Depends: debhelper (>= 13),
+		dh-python,
+		python3-all,
+		python3-pyparsing,
+		python3-pyqt5,
+		python3-setuptools,
+		python3-sphinx,
+		python3-sphinx-rtd-theme,
+		python3-typing-extensions,
+		python3-wheel
 Standards-Version: 4.5.0
 Homepage: https://github.com/mozman/ezdxf/
 X-Python3-Version: >= 3.6

## ezdxf 1.1.3

=== debian/changelog ===
ezdxf (1.1.3-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * new upstream version

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Bdale Garbee <bdale@gag.com>  Sat, 25 Nov 2023 18:03:16 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 13),
+Build-Depends: debhelper-compat (= 13),
 		dh-python,
 		python3-all,
+		python3-fonttools,
+		python3-numpy,
 		python3-pyparsing,
 		python3-pyqt5,
 		python3-setuptools,
@@ -12,7 +14,7 @@
 		python3-sphinx-rtd-theme,
 		python3-typing-extensions,
 		python3-wheel
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/mozman/ezdxf/
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/debian/ezdxf

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1

export PYBUILD_NAME=ezdxf

%:
	dh $@ --with python3 --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	(cd docs ; make PYTHONPATH=../src SPHINXBUILD=sphinx-build html)
	(cd docs ; make PYTHONPATH=../src SPHINXBUILD=sphinx-build man)

override_dh_auto_clean:
	dh_auto_clean
	(cd docs ; make clean)

## ezdxf 1.4.1

=== requirements.txt ===
setuptools
pyparsing>=2.0.1
typing_extensions>=4.6.0
numpy
fonttools

=== docs/Makefile ===
--- 
+++ 
@@ -11,6 +11,10 @@
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+
+# Disable C-extensions:
+# The Cython extension types replace the Python classes and do not have doc strings.
+export EZDXF_DISABLE_C_EXT=1
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

=== docs/requirements.txt ===
sphinx>4
sphinx-rtd-theme>=1
sphinxcontrib-jquery

=== debian/changelog ===
ezdxf (1.4.1-1) unstable; urgency=medium

  * new upstream version
  
 -- Bdale Garbee <bdale@gag.com>  Sun, 04 May 2025 19:59:40 -0600

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 		python3-all,
 		python3-fonttools,
 		python3-numpy,
+		python3-pil,
 		python3-pyparsing,
 		python3-pyqt5,
 		python3-setuptools,

## ezdxf 1.4.3

=== debian/changelog ===
ezdxf (1.4.3-1) unstable; urgency=medium

  * new upstream version
  
 -- Bdale Garbee <bdale@gag.com>  Sun, 18 Jan 2026 18:08:47 -0700

=== debian/watch ===
Version: 5
Template: Github
Author: mozman
Project: ezdxf
